Subject: bug#35034: One libgit2 derivation fails on armhf, another succeeds

From: Danny Milosavljevic <[email-masked]>
Date: Thu, 28 Mar 2019 22:40:22 +0100

Hi Mark,

On Thu, 28 Mar 2019 16:38:27 -0400
Mark H Weaver <[email-masked]> wrote:

> unless 'package-for-guile-2.0' is somehow modifying the
> 'libgit2' derivation.
> 
> Any idea what's going on here?

Not really, *but* I've recently replaced Python by Guile in libgit2
tests.

Maybe that broke something - especially if package-for-guile-2.0 somehow
either provides both guile versions as native inputs or selects one
incompatible with the "generate.scm" I wrote.

Here, (ice-9 textual-ports) seems to be not found.  Does it not exist in
guile 2.0 ? (I wasn't aware we still used guile 2.0 for something...)